/* socket.c

linux implementation of sockets. Used by ClientSocket and
ServerSocket.

Part of the caiviar package. 

Copyright (c) 2002 MobileX AG, http://www.mobilexag.de
Copyright (c) 2002 Matthias Kramm <kramm@quiss.org>

This file is distributed under the GPL, see file COPYING for details. */

#ifndef __socket_h__
#define __socket_h__

#include <fcntl.h>
#include <sys/types.h>
#include <pthread.h>
#include <sys/socket.h>
#include <sys/time.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netinet/tcp.h>
#include <arpa/inet.h>
#include <sys/ioctl.h>
#include <unistd.h>
#include <net/if.h>
#include <netdb.h>

int create_listen_socket (int port);
int accept_connection (int socket, int timeout);
int connect_to_host (char *host, unsigned int port);

#endif //__socket_h__


